package com.shuoeasy.springmvc.control;


import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import com.shuoeasy.springmvc.dao.UserDao;
import com.shuoeasy.springmvc.entity.User;


@RequestMapping("/user")
@Controller
public class UserController {
	
	@Autowired
	private UserDao userDao;
	/**
	 * 路径 : user/getAll
	 */
	@RequestMapping("/getAll")
	public String getAll(Map<String,Object> map){
		map.put("userList",userDao.findAll());
		return "list";
	}
	
	/**
	 * 展示添加用户的表单
	 * @return
	 */
	@RequestMapping("/add")
	public String add(){
		return "add";
	}
	
	/**
	 * 提交新增用户的表单提交
	 * @param user
	 * @return
	 */
	@RequestMapping(value="/addPost",method=RequestMethod.POST)
	public String addPost(User user){
		userDao.add(user);
		return "success";
	}
	
	/**
	 * 展示编辑用户的页面
	 * @param uid
	 * @return
	 */
	@RequestMapping("edit")
	public String edit(@RequestParam("uid") int uid,Map<String,Object> map){
		User user = userDao.get(uid);
		map.put("user",user);
		return "edit";
	}
	
	/**
	 * 修改用户信息的表单提交
	 * @param user
	 * @return
	 */
	@RequestMapping(value="/editPost",method=RequestMethod.POST)
	public String editPost(User user){
		userDao.edit(user);
		return "success";
	}
	
	/**
	 * 删除
	 * @param uid
	 * @return
	 */
	@RequestMapping("del")
	public String del(@RequestParam("uid") int uid){
		userDao.del(uid);
		return "success";
	}
}
