package com.shuoeasy.springmvc.dao;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.shuoeasy.springmvc.entity.User;

@Repository
public class UserDao {
	private static Map<Integer,User> users = null;
	
	/**
	 * 初始化数据
	 */
	static {
		users = new HashMap<Integer,User>();
		users.put(1001, new User(1001,"张三",23));
		users.put(1002, new User(1002,"李四",24));
		users.put(1003, new User(1003,"王五",25));
		users.put(1004, new User(1004,"赵六",26));
		users.put(1005, new User(1005,"呵呵",27));
	}
	private int lastId=1006;
	private int createLastId(){
		return ++lastId;
	}
	
	public Collection<User> findAll(){
		return users.values();
	}
	
	public User get(int id){
		return users.get(id);
	}
	
	public int add(User user){
		if(user.getUid()<=0){
			user.setUid(this.createLastId());
		}
		users.put(user.getUid(), user);
		return 1;
	}
	
	public int edit(User user){
		users.replace(user.getUid(), user);
		return 1;
	}
	
	public int del(int id){
		users.remove(id);
		return 1;
	}
}
